<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Utils/yamlmatlab/dosubstitution.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0a824aa1f70ce3b829ef378253b085da.html">Utils</a></li><li class="navelem"><a class="el" href="dir_a8e1b37497156ef9f662c95c0317de5f.html">yamlmatlab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">dosubstitution.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af22fa0c86985e6a3d4c7cb3830685e4e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dosubstitution_8m.html#af22fa0c86985e6a3d4c7cb3830685e4e">dosubstitution</a> (in r, in dictionary)</td></tr>
<tr class="separator:af22fa0c86985e6a3d4c7cb3830685e4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af12ea2b27a4aabda3d2d82d424ae7f11"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dosubstitution_8m.html#af12ea2b27a4aabda3d2d82d424ae7f11">recurse</a> (in data, in level, in dictionary)</td></tr>
<tr class="separator:af12ea2b27a4aabda3d2d82d424ae7f11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11be326ebb0a646a72dd080251a3915e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dosubstitution_8m.html#a11be326ebb0a646a72dd080251a3915e">iter_cell</a> (in data, in level, in dictionary)</td></tr>
<tr class="separator:a11be326ebb0a646a72dd080251a3915e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6b77df96741ce33a863a6d9349231b3"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dosubstitution_8m.html#ae6b77df96741ce33a863a6d9349231b3">iter_struct</a> (in data, in level, in dictionary)</td></tr>
<tr class="separator:ae6b77df96741ce33a863a6d9349231b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="af22fa0c86985e6a3d4c7cb3830685e4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af22fa0c86985e6a3d4c7cb3830685e4e">&#9670;&nbsp;</a></span>dosubstitution()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function dosubstitution </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dictionary</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a11be326ebb0a646a72dd080251a3915e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11be326ebb0a646a72dd080251a3915e">&#9670;&nbsp;</a></span>iter_cell()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_cell </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dictionary</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6b77df96741ce33a863a6d9349231b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6b77df96741ce33a863a6d9349231b3">&#9670;&nbsp;</a></span>iter_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_struct </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dictionary</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af12ea2b27a4aabda3d2d82d424ae7f11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af12ea2b27a4aabda3d2d82d424ae7f11">&#9670;&nbsp;</a></span>recurse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function recurse </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dictionary</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
